package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.asphyxiationbychoking.ElderlyAsphyxiationByChokingPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.asphyxiationbychoking.ElderlyAsphyxiationByChokingRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.asphyxiationbychoking.ElderlyAsphyxiationByChokingSaveReqVO;

public interface ElderlyAsphyxiationByChokingService {

    Long create(ElderlyAsphyxiationByChokingSaveReqVO createReqVO);

    void update(ElderlyAsphyxiationByChokingSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAsphyxiationByChokingRespVO get(Long id);

    PageResult<ElderlyAsphyxiationByChokingRespVO> getPage(ElderlyAsphyxiationByChokingPageReqVO pageReqVO);
}

